Skip to content

deployment_job_run_cancel

Stop one running job run by deleting its Job and pods.

Tool

deployment_job_run_cancel

Stop one running job run by deleting its Job and pods.

Stop one running job run by deleting its Job and pods. The service, CronJob and schedule stay unchanged. Returns the Cancelled run.

Behavior

HTTP
POST /deployment/services/:serviceId/runs/:runId/cancel

Arguments

Name
Type
Required
Description
runId
string
•
No description in the catalog.
serviceId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
status
string
•
trigger
string
•
exitCode
integer
•
createdAt
string
•
serviceId
string
•
startedAt
string
•
finishedAt
string
•
k8sJobName
string
•
cancelledBy
string
•
imageDigest
string
•
triggeredBy
string
•
deploymentId
string
•
environmentId
string
•
failureReason
string
•

Try it

Stop one running job run by deleting its Job and pods.

When to use

Stop one running job run by deleting its Job and pods. The service, CronJob and schedule stay unchanged. Returns the Cancelled run.

Example

Ask your agent something like this:

Stop one running job run by deleting its Job and pods.

The agent will invoke deployment_job_run_cancel with these arguments:

{
  "runId": "<runId>",
  "serviceId": "<serviceId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select